### Method

# GObject ValueArray sort_with_data

deprecated: 2.32

#### Declaration

    GValueArray*
    g_value_array_sort_with_data (
      GValueArray* value_array,
      GCompareDataFunc compare_func,
      gpointer user_data
    )

#### Description

Sort `value_array` using `compare_func` to compare the elements according to the semantics of `GCompareDataFunc`.

The current implementation uses the same sorting algorithm as standard C `qsort()` function.

Deprecated since: 2.32

Use `GArray` and g_array_sort_with_data().

This method is renamed to `g_value_array_sort()` in language bindings.

#### Parameters

`compare_func`

  Type: `GCompareDataFunc`

  Function to compare elements.

`user_data`

  Type: `gpointer`

  Extra data argument provided for `compare_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GValueArray`

The `GValueArray` passed in as `value_array`.

The returned data is owned by the instance.